#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.0
# packages version, not cmake config version (which is 6.2.2)
%define		ka_ver		%{version}
%define		kf_ver		6.3.0
%define		qt_ver		6.6.0
%define		kaname		akonadi-contacts
Summary:	Akonadi Contacts
Summary(pl.UTF-8):	Komponent kontaktów dla Akonadi
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	c312b644c3b25edd5870bc41caf2528e
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	gpgme-qt6-devel
BuildRequires:	ka6-akonadi-devel >= %{ka_ver}
BuildRequires:	ka6-grantleetheme-devel >= %{ka_ver}
BuildRequires:	ka6-kmime-devel >= %{ka_ver}
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kcodecs-devel >= %{kf_ver}
BuildRequires:	kf6-kcolorscheme-devel >= %{kf_ver}
BuildRequires:	kf6-kcompletion-devel >= %{kf_ver}
BuildRequires:	kf6-kcontacts-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-kservice-devel >= %{kf_ver}
BuildRequires:	kf6-ktextaddons-devel >= 1.5.4
BuildRequires:	kf6-ktexttemplate-devel
BuildRequires:	kf6-ktextwidgets-devel >= %{kf_ver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kxmlgui-devel >= %{kf_ver}
BuildRequires:	kf6-prison-devel >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	ka6-akonadi >= %{ka_ver}
Requires:	ka6-grantleetheme >= %{ka_ver}
Requires:	ka6-kmime >= %{ka_ver}
Requires:	kf6-kcodecs >= %{kf_ver}
Requires:	kf6-kcolorscheme >= %{kf_ver}
Requires:	kf6-kcompletion >= %{kf_ver}
Requires:	kf6-kcontacts >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kiconthemes >= %{kf_ver}
Requires:	kf6-kio >= %{kf_ver}
Requires:	kf6-ktextaddons >= 1.5.4
Requires:	kf6-ktextwidgets >= %{kf_ver}
Requires:	kf6-kwidgetsaddons >= %{kf_ver}
Requires:	kf6-kxmlgui >= %{kf_ver}
Requires:	kf6-prison >= %{kf_ver}
Obsoletes:	ka5-akonadi-contacts < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi Contacts is a library that effectively bridges the
type-agnostic API of the Akonadi client libraries and the
domain-specific KContacts library. It provides jobs, models and other
helpers to make working with contacts and addressbooks through Akonadi
easier.

%description -l pl.UTF-8
Akonadi Contacts to biblioteka efektywnie łącząca niezależne od typów
API bibliotek klienckich Akonadi oraz bibliotekę KContacts. Zapewnia
funkcje pomocnicze dla zadań, modeli itp., ułatwiające pracę z
kontaktami i książkami adresowymi poprzez Akonadi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Widgets-devel >= %{qt_ver}
Requires:	ka6-akonadi-devel >= %{ka_ver}
Requires:	ka6-grantleetheme-devel >= %{ka_ver}
Requires:	kf6-kcontacts-devel >= %{kf_ver}
Obsoletes:	ka5-akonadi-contacts-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# akonadicontact6 and akonadicontact6-serializer domains
%find_lang %{kaname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libKPim6AkonadiContactCore.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiContactCore.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiContactWidgets.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiContactWidgets.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/akonadi_serializer_addressee.so
%attr(755,root,root) %{_libdir}/qt6/plugins/akonadi_serializer_contactgroup.so
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
%{_datadir}/kf6/akonadi/contact
%{_datadir}/qlogging-categories6/akonadi-contacts.categories
%{_datadir}/qlogging-categories6/akonadi-contacts.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim6AkonadiContactCore.so
%{_libdir}/libKPim6AkonadiContactWidgets.so
%{_includedir}/KPim6/AkonadiContactCore
%{_includedir}/KPim6/AkonadiContactWidgets
%{_libdir}/cmake/KPim6AkonadiContactCore
%{_libdir}/cmake/KPim6AkonadiContactWidgets
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-akonadi-contacts.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3ddeb75
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 55d2f87
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c89668b
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d01c0ff
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b5b6024
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7433a7a
- updated to 24.08.3

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 3cfdd30
- updated dependencies, release 3

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> decdbe7
- pl, cleanup

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 6f34e53
- macros for ninja

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 76ec928
- relup

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 06613d0
- dirs

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0793ff4
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 329ba2b
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 62cc1ef
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 25e1fe5
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d3a2a3b
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fd3104b
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 079b401
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5c0d588
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4d3a0cc
- updated to 24.02.0

